"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
const Field_1 = require("./Field");
exports.Field = Field_1.default;
const FieldObject_1 = require("./FieldObject");
exports.FieldsObject = FieldObject_1.default;
const FieldsArray_1 = require("./FieldsArray");
exports.FieldsArray = FieldsArray_1.default;
exports.getInputFieldProps = (field) => ({
    value: field.inputValue,
    onChange: field.onInputChange,
    error: field.errorMessage,
    onBlur: field.markAsTouched,
    disabled: field.disabled,
});
exports.getSwitchProps = (field) => ({
    checked: field.inputValue,
    onChange: field.onInputChange,
    onBlur: field.markAsTouched,
});
class FieldBuilder {
    field(initValue, obj = {}) {
        return new Field_1.default(initValue, obj);
    }
    obj(fields, obj) {
        return new FieldObject_1.default(fields, obj);
    }
    array(initValue, obj) {
        return new FieldsArray_1.default(initValue, obj);
    }
}
exports.fb = new FieldBuilder();
__export(require("./validation"));
__export(require("./validators"));
